import express from "express";
import user_routes from "./user/user.js";
import auth_routes from "./auth/auth.js";
import section_routes from "./contents/section.js";
import topic_routes from "./contents/topic.js";
import level_routes from "./contents/level.js";
import exercise_routes from "./contents/exercise.js";
import stdLearning_routes from "./learning/stdLearning.js";
import stdExercise_routes from "./learning/stdExercise.js";
import class_routes from "./monitoring/class.js";
import monitoring_routes from "./monitoring/monitoring.js";
import report_routes from "./user/report.js";

const route = express();
route.use("/api", user_routes);
route.use("/api", auth_routes);
route.use("/api", section_routes);
route.use("/api", topic_routes);
route.use("/api", level_routes);
route.use("/api", exercise_routes);
route.use("/api", stdLearning_routes);
route.use("/api", stdExercise_routes);
route.use("/api", class_routes);
route.use("/api", monitoring_routes);
route.use("/api", report_routes);

export default route;
